This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1293962 - Redeclipse 1.5.3 doesn't start
Redeclipse 1.5.3 doesn't start
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: redeclipse (Show other bugs)
24
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Martin Erik Werner
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-23 12:38 EST by Brallan Jesús Aguilar Rivera
Modified: 2016-12-05 16:40 EST (History)
6 users (show)

See Also:
Fixed In Version: redeclipse-1.5.6-2.fc25
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-05 16:40:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Trace of RedEclipse execution (294.91 KB, text/plain)
2015-12-23 12:38 EST, Brallan Jesús Aguilar Rivera
no flags Details
log (666 bytes, text/plain)
2015-12-24 01:25 EST, mastaiza
no flags Details
crashlog (1.74 KB, patch)
2016-01-08 09:15 EST, Parag Nemade
no flags Details | Diff
backtrace from crash (17.43 KB, patch)
2016-01-08 09:17 EST, Parag Nemade
no flags Details | Diff
redeclipse-update-1.5.6 (4.31 KB, patch)
2016-11-20 00:49 EST, Link Dupont
no flags Details | Diff
patch to remove redundant data (1.25 KB, patch)
2016-11-20 11:05 EST, Link Dupont
no flags Details | Diff

  None (edit)
Description Brallan Jesús Aguilar Rivera 2015-12-23 12:38:35 EST
Created attachment 1108984 [details]
Trace of RedEclipse execution

Description of problem:


Version-Release number of selected component (if applicable): 
1.5.3


How reproducible: 
When trying to execute the app, it crashes. It occurs always, as normal or super user.


Additional info:
In a console, I executed it using strace, the output is attached.
Comment 1 mastaiza 2015-12-24 01:25 EST
Created attachment 1109150 [details]
log
Comment 2 mastaiza 2016-01-03 13:02:38 EST
there is progress in resolving the issue
Comment 3 mastaiza 2016-01-03 13:04:10 EST
or the problem will be solved for another year
Comment 5 Parag Nemade 2016-01-08 09:15 EST
Created attachment 1112878 [details]
crashlog

here is crashlog as asked in upstream forum
Comment 6 Parag Nemade 2016-01-08 09:17 EST
Created attachment 1112879 [details]
backtrace from crash

This is full backtrace from gdb
Comment 7 mastaiza 2016-01-08 09:34:49 EST
you can fix
Comment 8 Parag Nemade 2016-01-08 09:49:29 EST
mastaiza,
   Please give the 2 files I attached to upstream developers and ask them for a fix. I am just providing input so that some can find the fix.
Comment 9 mastaiza 2016-01-08 09:55:30 EST
I don't understand what 2 files need
Comment 10 Parag Nemade 2016-01-08 10:01:50 EST
1) file I attached is crashlog.txt -> https://bugzilla.redhat.com/attachment.cgi?id=1112878
2) file I attached is backtrace -> https://bugzilla.redhat.com/attachment.cgi?id=1112879

Upstream has asked both files.
Comment 11 mastaiza 2016-01-08 10:14:32 EST
I did not understand what to do
Comment 12 Diogo Campos 2016-01-08 18:36:38 EST
*IF* Bug 1222351 is similar or related, a workaround is to type "redeclipse -df0" in the terminal (it will start the game with fullscreen disabled).
Comment 13 mastaiza 2016-01-09 02:07:54 EST
(In reply to Diogo Campos from comment #12)
> *IF* Bug 1222351 is similar or related, a workaround is to type "redeclipse
> -df0" in the terminal (it will start the game with fullscreen disabled).



I have everything exactly the game crashes.
Fatal signal 11 (Segmentation Violation)
Comment 14 Jan Kurik 2016-02-24 10:38:06 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 15 mastaiza 2016-07-11 18:27:08 EDT
I'll play someday . and that already six months have passed and no results
Comment 16 Bruno Wolff III 2016-07-11 19:24:58 EDT
I'll see if I can find time to try the 1.5.5 release. If that fixes it for me I push out updates.
Comment 17 Brallan Jesús Aguilar Rivera 2016-07-28 17:17:56 EDT
I downloaded the sources from the official site and it works. What could be the problem with the Fedora pack?
Comment 18 mastaiza 2016-11-03 05:04:18 EDT
the case will move forward .
Comment 19 Link Dupont 2016-11-20 00:49 EST
Created attachment 1222178 [details]
redeclipse-update-1.5.6

Updating to the current release (1.5.6) no longer crashes on launch on Fedora 25. Attached patch applies to pkgdb repo to upgrade it to 1.5.6.

Is anyone on this bug a provenpackager willing to apply this patch? This would close 1354195 too.
Comment 20 Parag Nemade 2016-11-20 02:12:09 EST
I will apply this patch now.
Comment 21 Link Dupont 2016-11-20 11:05 EST
Created attachment 1222223 [details]
patch to remove redundant data

This patch makes a minor change to the package. It removes the redundant data from the -server subpackage, replacing it with a dependency on the redeclipse-data package instead.
Comment 22 Parag Nemade 2016-11-21 02:35:15 EST
oh I did not see above comment and keep uploading giant tarball 2-3 times and just finished building redeclipse in rawhide and f25.

I have done another build using above patch. Please test new builds in rawhide and f25 from koji as they will not be available immediately in the repository but after 1-2 days they can be installed from their repository.
Comment 23 Fedora Update System 2016-11-21 04:01:33 EST
redeclipse-1.5.6-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4526b08b1a
Comment 24 Fedora Update System 2016-11-23 18:05:54 EST
redeclipse-1.5.6-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4526b08b1a
Comment 25 Fedora Update System 2016-12-05 16:40:45 EST
redeclipse-1.5.6-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.